import 'package:get/get.dart';

class BaseGetxController<T> extends GetxController {
  T? _result;
  String? _error;
  bool _loading = false;

  void setResult({required T? data}) {
    
    _result = data;
  }

  void setError({String? error}) {
    _error = error;
  }

  void setLoading(bool value) {
    _loading = value;
  }

  T? get result => _result;

  String? get error => _error;

  bool get loading => _loading;
}
